/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Clases;

import java.io.FileWriter;
import java.io.PrintWriter;
import java.text.DateFormat;
import java.util.Date;

/**
 *
 * @author 1032480985
 */
public class Reserva {
    
    private String idReserva;
    private int tipoReserva;
    private String nombres;
    private String apellidos;
    private Date fechaReserva;
    private DateFormat HoraReserva;
    private int Descripcion;
    private int maxReserva =100;
    
    private Reserva misReserva[]= new Reserva [maxReserva];
     
       private int contReserva=0;
       
    
  
  
    
    
     public Reserva(String idReserva, int tipoReserva, String nombres, String apellidos, Date fechaReserva, int Descripcion) {
        this.idReserva = idReserva;
        this.tipoReserva = tipoReserva;
        this.nombres = nombres;
        this.apellidos = apellidos;
        this.fechaReserva = fechaReserva;
        this.HoraReserva = HoraReserva;
        this.Descripcion= Descripcion;
        
    }

       private String Descripcion(int id) {
       switch(id) {
           case 0: return "  ";
           case 1 : return "Consola xbox One";
            case 2 : return "Consola Xbox 360";
            case 3 : return "Controles";
             default: return "No definido";
       }
     }
    
    public String getIdReserva() {
        return idReserva;
    }

    public void setIdReserva(String idReserva) {
        this.idReserva = idReserva;
    }

    public int getTipoReserva() {
        return tipoReserva;
    }

    public void setTipoReserva(int tipoReserva) {
        this.tipoReserva = tipoReserva;
    }

    public String getNombres() {
        return nombres;
    }

    public void setNombres(String nombres) {
        this.nombres = nombres;
    }

    public String getApellidos() {
        return apellidos;
    }

    public void setApellidos(String apellidos) {
        this.apellidos = apellidos;
    }

    public Date getFechaReserva() {
        return fechaReserva;
    }

    public void setFechaReserva(Date fechaReserva) {
        this.fechaReserva = fechaReserva;
    }

    public DateFormat getHoraReserva() {
        return HoraReserva;
    }

    public void setHoraReserva(DateFormat HoraReserva) {
        this.HoraReserva = HoraReserva;
    }

    public int getDescripcion() {
        return Descripcion;
    }

    public void setDescripcion(int Descripcion) {
        this.Descripcion = Descripcion;
    }
   
     
      @Override public String toString() {
        return idReserva + "|"
                + tipoReserva + "|"
                + nombres + "|"
                + apellidos + "|"
                + Utilidades.formatDate(fechaReserva) + "|" 
                + Descripcion + "| " 
                + Utilidades.DateFormat(HoraReserva);
    }
    
       
      
    
    
}
